import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增科目
    appCourseSubject(data) {
        return request({
            url: '/course/subject',
            method: 'post',
            data
        })
    },
    //修改科目
    editCourseSubject(data) {
        return request({
            url: '/course/subject/edit',
            method: 'post',
            data
        })
    },
    //查询科目列表
    inquireCourseSubject(data) {
        return request({
            url: '/course/subject/list',
            method: 'get',
            params: data
        })
    },
    //查询科目筛选下拉列表
    inquireCourseSubjectlistAll(data) {
        return request({
            url: '/course/subject/listAll',
            method: 'get',
            params: data
        })
    },
    //获取科目详细信息
    obtainCourseSubject(data) {
        return request({
            url: `/course/subject/` + data,
            method: 'get',
        })
    },
}